Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::ISourceSettings Class Reference

`#include <Settings.h>`

Inheritance diagram for Argus::ISourceSettings:

List of all members.

## Public Member Functions

virtual Status | setExposureTimeRange (const Range< uint64_t > &exposureTimeRange)=0
| Sets the exposure time range of the source, in nanoseconds.
virtual Range< uint64_t > | getExposureTimeRange () const =0
| Returns the exposure time range of the source, in nanoseconds.
virtual Status | setFocusPosition (int32_t position)=0
| Sets the focus position, in focuser units.
virtual int32_t | getFocusPosition () const =0
| Returns the focus position, in focuser units.
virtual Status | setFrameDurationRange (const Range< uint64_t > &frameDurationRange)=0
| Sets the frame duration range, in nanoseconds.
virtual Range< uint64_t > | getFrameDurationRange () const =0
| Returns the frame duration range, in nanoseconds.
virtual Status | setGainRange (const Range< float > &gainRange)=0
| Sets the gain range for the sensor.
virtual Range< float > | getGainRange () const =0
| Returns the gain range.
virtual Status | setSensorMode (SensorMode *mode)=0
| Sets the sensor mode.
virtual SensorMode * | getSensorMode () const =0
| Returns the sensor mode.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~ISourceSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

- Exposed by the InterfaceProvider returned by IRequest::getSourceSettings().

An interface to settings that control the sensor module.

Definition at line 43 of file Settings.h.

## Constructor & Destructor Documentation

Argus::ISourceSettings::~ISourceSettings | ( |  | ) |

inlineprotected

Definition at line 129 of file Settings.h.

## Member Function Documentation

virtual Range<uint64_t> Argus::ISourceSettings::getExposureTimeRange | ( |  | ) | const

pure virtual

Returns the exposure time range of the source, in nanoseconds.

virtual int32_t Argus::ISourceSettings::getFocusPosition | ( |  | ) | const

pure virtual

Returns the focus position, in focuser units.

virtual Range<uint64_t> Argus::ISourceSettings::getFrameDurationRange | ( |  | ) | const

pure virtual

Returns the frame duration range, in nanoseconds.

virtual Range<float> Argus::ISourceSettings::getGainRange | ( |  | ) | const

pure virtual

Returns the gain range.

virtual SensorMode* Argus::ISourceSettings::getSensorMode | ( |  | ) | const

pure virtual

Returns the sensor mode.

static const InterfaceID& Argus::ISourceSettings::id | ( |  | ) |

inlinestatic

Definition at line 46 of file Settings.h.

virtual Status Argus::ISourceSettings::setExposureTimeRange | ( | const Range< uint64_t > & | exposureTimeRange | ) |

pure virtual

Sets the exposure time range of the source, in nanoseconds.

If the exposure range is outside of the available range, the capture's exposure time will be as close as possible to the exposure range specified.

Parameters:

  [in] | exposureTimeRange | Exposure time range, in nanoseconds.

See also:
  ISensorMode::getExposureTimeRange()

Todo:
  : Have a discussion on quantization.

Returns:
  success/status of the call.

virtual Status Argus::ISourceSettings::setFocusPosition | ( | int32_t | position | ) |

pure virtual

Sets the focus position, in focuser units.

If the position is set outside of the focuser limits, the position will be clamped.

Parameters:

  [in] | position | The new focus position, in focuser units.

See also:
  ICameraProperties::getFocusPositionRange()

Returns:
  success/status of the call.

virtual Status Argus::ISourceSettings::setFrameDurationRange | ( | const Range< uint64_t > & | frameDurationRange | ) |

pure virtual

Sets the frame duration range, in nanoseconds.

If frame range is out of bounds of the current sensor mode, the capture's frame duration will be as close as possible to the range specified.

Parameters:

  [in] | frameDurationRange | Frame duration range, in nanoseconds

See also:
  ISensorMode::getFrameDurationRange()

Returns:
  success/status of the call.

virtual Status Argus::ISourceSettings::setGainRange | ( | const Range< float > & | gainRange | ) |

pure virtual

Sets the gain range for the sensor.

The range has to be within the max and min reported in the CameraProperties Otherwise the range will be clipped.

Parameters:

  [in] | gainRange | scalar gain range

See also:
  ISensorMode::getAnalogGainRange()

Returns:
  success/status of the call.

virtual Status Argus::ISourceSettings::setSensorMode | ( | SensorMode * | mode | ) |

pure virtual

Sets the sensor mode.

Note that changing sensor mode from one capture to the next may result in multiple sensor frames being dropped between the two captures.

Parameters:

  [in] | mode | Desired sensor mode for the capture.

See also:
  ICameraProperties::getSensorModes()

Returns:
  success/status of the call.

The documentation for this class was generated from the following file:

- include/Argus/Settings.h